Skip to main content
GET
/
app.rocksky.song.getSong
Get a song by its uri, MusicBrainz ID, or ISRC
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.song.getSong \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "title": "<string>",
  "artist": "<string>",
  "albumArtist": "<string>",
  "albumArt": "<string>",
  "uri": "<string>",
  "album": "<string>",
  "duration": 123,
  "trackNumber": 123,
  "discNumber": 123,
  "playCount": 1,
  "uniqueListeners": 1,
  "albumUri": "<string>",
  "artistUri": "<string>",
  "sha256": "<string>",
  "mbid": "<string>",
  "isrc": "<string>",
  "tags": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "artists": [
    {
      "id": "<string>",
      "uri": "<string>",
      "name": "<string>",
      "picture": "<string>",
      "sha256": "<string>",
      "playCount": 1,
      "uniqueListeners": 1,
      "tags": [
        "<string>"
      ]
    }
  ],
  "firstScrobble": {
    "handle": "<string>",
    "avatar": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uri
string<at-uri>

The AT-URI of the song to retrieve

mbid
string

The MusicBrainz ID of the song to retrieve

isrc
string

The International Standard Recording Code (ISRC) of the song to retrieve

spotifyId
string

The Spotify track ID of the song to retrieve (resolved internally to the Spotify track URL)

Response

OK

id
string

The unique identifier of the song.

title
string

The title of the song.

artist
string

The artist of the song.

albumArtist
string

The artist of the album the song belongs to.

albumArt
string<uri>

The URL of the album art image.

uri
string<at-uri>

The URI of the song.

album
string

The album of the song.

duration
integer
trackNumber
integer
discNumber
integer
playCount
integer
Required range: x >= 0
uniqueListeners
integer
Required range: x >= 0
albumUri
string<at-uri>

The URI of the album the song belongs to.

artistUri
string<at-uri>

The URI of the artist of the song.

sha256
string

The SHA256 hash of the song.

mbid
string

The MusicBrainz ID of the song.

isrc
string

The International Standard Recording Code (ISRC) of the song.

tags
string[]
createdAt
string<date-time>

The timestamp when the song was created.

artists
object[]
firstScrobble
object